// pagesA/activatePayment/activatePayment.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    show:false,
    fileList:[],
    step:0,
    setIndex:0,
    organizationList:[
      {
        icon:'icon-renyuanguanli',
        text:'个人/个体',
        children: true,
        list:[
          {
            icon:'icon-renyuanguanli',
            text:'个人',
          },
          {
            icon:'icon-renyuanguanli',
            text:'个体工商户',
          }
        ]
      },
      {
        icon:'icon-qiye2',
        text:'企业商户',
        children: false,
      },
      {
        icon:'icon-zhengfu',
        text:'事业/政府',
        children: true,
        list:[
          {
            icon:'icon-renyuanguanli',
            text:'事业单位',
          },
          {
            icon:'icon-renyuanguanli',
            text:'政府机构',
          }
        ]
      },
      {
        icon:'icon-qita',
        text:'其他组织',
        children: false,
      }
    ],
    activeIndex:0
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },
  // 温馨提示
  agreeMethods(e){
    console.log(e)
    this.setData({
      show:false
    })
  },
  // 关闭弹窗
  onClose() {
    this.setData({ show: false });
  },
  // 删除图片
  deleteImg(event){
    let fileList = []
    this.setData({
      fileList
    })
  },
  // 上传图片
  afterRead(event){
    const { file } = event.detail;
    console.log(file)
    let fileList = []
    fileList.push(file)
    this.setData({
      fileList
    })
  },
  // 下一步
  stepMethods(e){
    if(e.currentTarget.dataset.step == 2){      
      this.setData({
        show:true
      })
    }
    this.setData({
      step:e.currentTarget.dataset.step
    })
  },
  // 二级点击选择
  setPersonIndex(e){
    console.log(e.currentTarget.dataset.personindex)
    this.setData({
      setIndex:e.currentTarget.dataset.personindex
    })
  },
  // 选择下标
  selectActive(e){
    this.setData({
      activeIndex:e.currentTarget.dataset.index,
      setIndex:0
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})